%define pypi_name psycopg2

Summary:        PostgreSQL database adapter for Python
Name:           python-%{pypi_name}
Version:        2.9.3
Release:        %mkrel 1
Group:          Development/Python
License:        GPLv2 and ZPLv2.1 and BSD
URL:            https://pypi.org/project/psycopg2/
Source0:     %{pypi_name}-%{version}.tar.xz
Patch0:         psycopg2-2.8.2-linking.patch
BuildRequires:  postgresql-devel

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%package -n python3-%{pypi_name}
Summary:        PostgreSQL database adapter for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%package doc
Summary:        Documentation for psycopg python PostgreSQL database adapter
Group:          Development/Python
BuildArch:      noarch
Requires:       python3-%{pypi_name} >= %{version}-%{release}

%description doc
Documentation files for the psycopg python PostgreSQL database adapter.

%prep
%setup -q -n %{pypi_name}-%{version}
%apply_patches

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

# Fix for wrong-file-end-of-line-encoding problem; upstream also must fix this.
for i in `find doc -iname "*.html"`; do sed -i 's/\r//' $i; done
for i in `find doc -iname "*.css"`; do sed -i 's/\r//' $i; done

# Get rid of a "hidden" file that rpmlint complains about
rm -f doc/html/.buildinfo

%install
%py3_install

rm -rf %{buildroot}%{python3_sitearch}/psycopg2/tests

%files -n python3-%{pypi_name}
%{python3_sitearch}/psycopg2*

%files doc
%doc doc/


%changelog
* Sun Aug 07 2022 tex - 2.9.3-1pclos2022
- new version for new qgis
